﻿using Prism.Mvvm;

namespace TestProject.ViewModels
{
    /// <summary>
    /// 커스텀 뷰 모델
    /// </summary>
    public class CustomViewModel : BindableBase
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 제목
        /// </summary>
        private string title = "ViewModelLocationProvider 클래스 : Register 정적 메소드를 사용해 특정 뷰를 위한 뷰 모델을 수동으로 등록하기";

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 제목 - Title

        /// <summary>
        /// 제목
        /// </summary>
        public string Title
        {
            get
            {
                return this.title;
            }
            set
            {
                SetProperty(ref this.title, value);
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - CustomViewModel()

        /// <summary>
        /// 생성자
        /// </summary>
        public CustomViewModel()
        {
        }

        #endregion
    }
}